Package org.apache.nutch.indexer

## Class NutchField

- java.lang.Object
- - org.apache.nutch.indexer.NutchField

- All Implemented Interfaces:
    `Cloneable`, `Writable`

      public class NutchField
      extends Object
      implements Writable, Cloneable

  This class represents a multi-valued field with a weight. Values are arbitrary objects.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NutchField()` |
    `NutchField​(Object value)` |
    `NutchField​(Object value, float weight)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(Object value)` |
    `NutchField` | `clone()` |
    `List<Object>` | `getValues()` |
    `float` | `getWeight()` |
    `void` | `readFields​(DataInput in)` |
    `void` | `reset()` |
    `void` | `setWeight​(float weight)` |
    `String` | `toString()` |
    `void` | `write​(DataOutput out)` |

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NutchField

          public NutchField()

    - #### NutchField

          public NutchField​(Object value)

    - #### NutchField

          public NutchField​(Object value,
                            float weight)

  - ### Method Detail

    - #### add

          public void add​(Object value)

    - #### getWeight

          public float getWeight()

    - #### setWeight

          public void setWeight​(float weight)

    - #### getValues

          public List<Object> getValues()

    - #### reset

          public void reset()

    - #### clone

          public NutchField clone()
                           throws CloneNotSupportedException

      Overrides:
        `clone` in class `Object`
      Throws:
        `CloneNotSupportedException`

    - #### readFields

          public void readFields​(DataInput in)
                          throws IOException

      Specified by:
        `readFields` in interface `Writable`
      Throws:
        `IOException`

    - #### write

          public void write​(DataOutput out)
                     throws IOException

      Specified by:
        `write` in interface `Writable`
      Throws:
        `IOException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`